package org.jeecg.modules.checkData.face;

import org.jeecg.modules.checkData.entity.MovementCourse;
import org.springframework.web.multipart.MultipartFile;

public interface MovementRecordsMasterFace {
    /**
     * 保存人工检查项目
     *
     * @param record
     */
    void saveLabourCheckItem(MovementCourse record);

    /**
     * 更新人工检查项目
     *
     * @param record
     */
    void updateLabourCheckItem(MovementCourse record);

    void uploadFile(MultipartFile file, String id);

    void delete(String id, String type);
}
